Bug 204627 - x11/nvidia-settings: Could not find the registry key file
Summary: x11/nvidia-settings: Could not find the registry key file
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Dmitry Marakasov
URL:
Keywords: needs-patch, needs-qa
Depends on:
Blocks:
 
Reported: 2015-11-17 10:00 UTC by Vladimir Omelchuk
Modified: 2016-01-13 16:19 UTC (History)
1 user (show)

See Also:
amdmi3: maintainer-feedback-
amdmi3: merge-quarterly+


Attachments
Changed port for fix this error. (1.57 KB, application/x-xz)
2016-01-03 15:02 UTC, Vladimir Omelchuk
no flags Details
Changed port for fix this error after update to PORTREVISION=2 (1.69 KB, application/x-xz)
2016-01-03 15:53 UTC, Vladimir Omelchuk
no flags Details
patch (733 bytes, text/x-csrc)
2016-01-06 04:53 UTC, Vladimir Omelchuk
no flags Details
Makefile (1.79 KB, text/plain)
2016-01-06 04:54 UTC, Vladimir Omelchuk
no flags Details
Finally version (1.61 KB, text/plain)
2016-01-12 21:09 UTC, Vladimir Omelchuk
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Omelchuk 2015-11-17 10:00:48 UTC
When run nvidia-settings, in the console see error:
ERROR: nvidia-settings could not find the registry key file. This file should have been installed along with this driver at
       either /usr/share/nvidia/nvidia-application-profiles-340.93-key-documentation or
       /usr/share/nvidia/nvidia-application-profiles-key-documentation. The application profiles will continue to work, but
       values cannot be prepopulated or validated, and will not be listed in the help text. Please see the README for possible
       values and descriptions.

Registry key file for nvidia-settings search in folder /usr/share/nvidia/,
but need search into /usr/local/share/nvidia/ ...

Fix this error.
Comment 1 Vladimir Omelchuk 2016-01-03 15:02:32 UTC
Created attachment 164998 [details]
Changed port for fix this error.
Comment 2 Vladimir Omelchuk 2016-01-03 15:53:59 UTC
Created attachment 165007 [details]
Changed port for fix this error after update to PORTREVISION=2
Comment 3 Dmitry Marakasov freebsd_committer 2016-01-06 01:24:35 UTC
Could you please send a patch instead?
Comment 4 Vladimir Omelchuk 2016-01-06 04:34:12 UTC
Full port (with patch) in the attachment file "Changed port for fix this error after update to PORTREVISION=2".
Comment 5 Vladimir Omelchuk 2016-01-06 04:53:49 UTC
Created attachment 165137 [details]
patch
Comment 6 Vladimir Omelchuk 2016-01-06 04:54:35 UTC
Created attachment 165138 [details]
Makefile
Comment 7 Dmitry Marakasov freebsd_committer 2016-01-07 14:19:34 UTC
I've meant that this, as all other changes to existing ports, should be submitted as a single patch (svn diff) of the port directory. Also, when submitting the patch please mark older versions obsolete, otherwise it becomes too confusing.
Comment 8 Vladimir Omelchuk 2016-01-12 21:09:27 UTC
Created attachment 165459 [details]
Finally version
Comment 9 commit-hook freebsd_committer 2016-01-13 15:27:03 UTC
A commit references this bug:

Author: amdmi3
Date: Wed Jan 13 15:26:49 UTC 2016
New revision: 406050
URL: https://svnweb.freebsd.org/changeset/ports/406050

Log:
  - Fix path to nvidia-driver's registry profiles

  PR:		204627
  Submitted by:	admin@vladiom.com.ua
  Approved by:	maintainer timeout (bland, 7 weeks)

Changes:
  head/x11/nvidia-settings/Makefile
Comment 10 commit-hook freebsd_committer 2016-01-13 16:19:14 UTC
A commit references this bug:

Author: amdmi3
Date: Wed Jan 13 16:18:59 UTC 2016
New revision: 406057
URL: https://svnweb.freebsd.org/changeset/ports/406057

Log:
  MFH: r406050

  - Fix path to nvidia-driver's registry profiles

  PR:		204627
  Submitted by:	admin@vladiom.com.ua
  Approved by:	maintainer timeout (bland, 7 weeks)
  Approved by:	ports-secteam (miwi)

Changes:
_U  branches/2016Q1/
  branches/2016Q1/x11/nvidia-settings/Makefile